Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CancelBundleTaskResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CancelBundleTaskResult

    public class CancelBundleTaskResult

extends Object

The result of canceling an Amazon EC2 bundle task.

Constructor Summary
`CancelBundleTaskResult()`

Method Summary
`BundleTask` | `getBundleTask()` The canceled bundle task.
`void` | `setBundleTask(BundleTask bundleTask)` The canceled bundle task.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CancelBundleTaskResult` | `withBundleTask(BundleTask bundleTask)` The canceled bundle task.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CancelBundleTaskResult

    public CancelBundleTaskResult()

Method Detail

### getBundleTask

    public BundleTask getBundleTask()

  The canceled bundle task.

  Returns:
    The canceled bundle task.

### setBundleTask

    public void setBundleTask(BundleTask bundleTask)

  The canceled bundle task.

  Parameters:
    `bundleTask` - The canceled bundle task.

### withBundleTask

    public CancelBundleTaskResult withBundleTask(BundleTask bundleTask)

  The canceled bundle task.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bundleTask` - The canceled bundle task.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.